Skip to main content
POST
Stream sandbox command

Authorizations

Authorization
string
header
required

Use a JWT bearer token or a Veryfront API key in the Authorization header.

Path Parameters

sandbox_id
string<uuid>
required

Sandbox UUID, as returned by createSandbox.

Body

application/json
command
string
required
Minimum string length: 1
cwd
string
timeout_seconds
integer
default:30
Required range: x <= 55
env
object

Response

Upstream NDJSON command stream, preserved as sent by the sandbox: one event per line.

One command stream event per line: output chunks, heartbeats, then the exit code.

type
enum<string>
required
Available options:
stdout
data
string
required